# Class $LogProvider

- Defined in services/log.js:43

#####
Index

### Constructors

constructor

### Properties

debug

### Methods

$get
consoleLog
debugEnabled
formatError

##
Constructors

### constructor

- new $LogProvider(): $LogProvider

- #### Returns $LogProvider

  - Defined in services/log.js:44

##
Properties

### debug

debug: boolean

- Defined in services/log.js:45
- Defined in services/log.js:54

##
Methods

### $get

- $get(): LogService

- #### Returns LogService

  - Defined in services/log.js:84

### consoleLog

- consoleLog(type): ((...args: any[]) => any)

- #### Parameters

  - type: any

  #### Returns ((...args: any[]) => any)

  - - (...args): any

    - #### Parameters

      - `Rest`...args: any[]

      #### Returns any

  - Defined in services/log.js:74

### debugEnabled

- debugEnabled(flag): any

- #### Parameters

  - flag: boolean

    enable or disable debug level messages

  #### Returns any

  current value if used as getter or itself (chaining) if used as setter

  - Defined in services/log.js:52

### formatError

- formatError(arg): any

- #### Parameters

  - arg: any

  #### Returns any

  - Defined in services/log.js:60